#include<bits/stdc++.h>

using namespace std;

int main(){
    int n, m;
    cin >> n >> m;
    int doha[n][m];
    cin >> doha[0][0];
    for(int i = 1; i < m; i++){
    	int temp;
    	cin >> temp;
    	doha[0][i] = doha[0][i - 1] + temp;
    }
    for(int i = 1; i < n; i++){
    	cin >> doha[i][0];
		doha[i][0] += doha[i - 1][0];
    	for(int j = 1; j < m; j++){
    		int temp;
    		cin >> temp;
    		
    	}
    }
    int q;
    cin >> q;
    for(int i = 0; i < q; i++){
    	int blokada_i;
    	int blokada_j;
    	cin >> blokada_i >> blokada_j;
    	blokada_i--;
    	blokada_j--;
    	doha[blokada_i][blokada_j];
    	
    }
}